Inject a JSON message onto the same durable path as SMTP
curl --request POST \
--url https://api.devhelm.io/api/v1/email/domains/{domain}/messages/inject \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to": "<string>",
"from": "<string>",
"subject": "<string>",
"text": "<string>",
"html": "<string>",
"headers": {}
}
'import requests
url = "https://api.devhelm.io/api/v1/email/domains/{domain}/messages/inject"
payload = {
"to": "<string>",
"from": "<string>",
"subject": "<string>",
"text": "<string>",
"html": "<string>",
"headers": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
to: '<string>',
from: '<string>',
subject: '<string>',
text: '<string>',
html: '<string>',
headers: {}
})
};
fetch('https://api.devhelm.io/api/v1/email/domains/{domain}/messages/inject', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"eventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"receivedAt": "2023-11-07T05:31:56Z",
"inbox": "<string>"
}
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}Email Testing
Inject a JSON message onto the same durable path as SMTP
POST
/
api
/
v1
/
email
/
domains
/
{domain}
/
messages
/
inject
Inject a JSON message onto the same durable path as SMTP
Authorizations
API key (dh_live_...) or Auth0 JWT token
Path Parameters
Body
application/json
Inject a test email without SMTP
Response
Accepted
Accepted inject; wait or get after persist
Show child attributes
Show child attributes